<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\User;
use Auth;
use Mail;
use Session;
use Hash;

class AdminController extends Controller
{
    
    public function __construct(){

        $this->middleware('admin');

    }


    public function dashboard()
    {
        $admin = Auth::guard('admin')->user();
        $register_teachers_list =User::whereIn(
                'status',[0,2]
            )->where(
                'user_type',2
            )->orderBy(
                'name','ASC'
            )->get();

        $active_teachers_list =User::where(
                'status',1
            )->where(
                'user_type',2
            )->orderBy(
                'name','ASC'
            )->get();
        
        $data =[
          'register_teachers_list'=>$register_teachers_list , 
          'active_teachers_list'=>$active_teachers_list  
        ];
        return view('admin.admin_profile',$data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
